Subject: Re: bug#67185: Small bug in the Introduction to Elisp manual

From: Eli Zaretskii <[email-masked]>
Date: Sun, 19 Nov 2023 12:16:13 +0200

> From: Richard Stallman <[email-masked]>
> Cc: [email-masked], [email-masked]
> Date: Sat, 18 Nov 2023 22:40:43 -0500
> 
>   > That manual uses "converse" and "conversely" about half a dozen times:
>   > are all of them incorrect, and actually mean "opposite" or maybe "by
>   > contrast"?
> 
> I checked these, and I think they are correct.  Each one is about reversing
> the direction of some relation, and "converse" means that/
> 
>     > The @code{kill-region} function definition also has an @code{unless}
>     > macro; it is the converse of @code{when}.
> 
> That should say "opposite".  It's opposite because in the situation
> where `when' runs its body, `unless' does not run its body.
> 
>                                                  The @code{unless} macro is
>     > an @code{if} without a then clause
> 
> The point is valid if understood in a figurative sense -- so the
> words need to indicate it is meant figuratively, not literally.  How
> to do that?  Maybe this:
> 
>                                                  The @code{unless} macro is
>      like an @code{if} except that it has no then-clause, and it supplies
>      an implicit @code{nil} for that.

Thanks, I fixed these two places as you suggested, and I'm therefore
closing this bug.